Bug 1126109

Summary: Bluetooth Headset Successfully Pairs, Fails To Connect
Product: [Fedora] Fedora Reporter: The PowerTool <ThePowerTool_SC>
Component: bluezAssignee: Don Zickus <dzickus>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 20CC: dwmw2, dzickus, ecdpalma, kalevlember, marcel, maverick.pt, seansh
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:54:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description The PowerTool 2014-08-01 22:51:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):
See Additional Info

How reproducible:  Attempting to connect bluetooth headset (after successful pairing)


Steps to Reproduce:
1.  Place bluetooth headset in discover mode
2.  Search for devices via gnome bluetooth or CL
3.  Pair with device (either via gnome bluetooth or CL)
3a. Provide correct PIN
4.  Attempt connect (either via gnome bluetooth or CL)
4.  Watch autoconnect fail with error:  Failed to connect: org.bluez.Error.NotAvailable


]# bluetoothctl 
[NEW] Controller 00:02:72:AF:F0:B0 p7-1456c.localdomain [default]
[NEW] Device 00:23:7F:98:E8:49 Calisto PLT
[bluetooth]# list
Controller 00:02:72:AF:F0:B0 p7-1456c.localdomain [default]
[bluetooth]# info 00:23:7F:98:E8:49
Device 00:23:7F:98:E8:49
	Name: Calisto PLT
	Alias: Calisto PLT
	Class: 0x200404
	Icon: audio-card
	Paired: yes
	Trusted: yes
	Blocked: no
	Connected: no
	LegacyPairing: no
	UUID: Headset                   (00001108-0000-1000-8000-00805f9b34fb)
	UUID: Handsfree                 (0000111e-0000-1000-8000-00805f9b34fb)
[bluetooth]# connect 00:23:7F:98:E8:49
Attempting to connect to 00:23:7F:98:E8:49
[CHG] Device 00:23:7F:98:E8:49 Connected: yes
Failed to connect: org.bluez.Error.NotAvailable
[CHG] Device 00:23:7F:98:E8:49 Connected: no

FYI:
[bluetooth]# show
Controller 00:02:72:AF:F0:B0
	Name: p7-1456c.localdomain
	Alias: p7-1456c.localdomain
	Class: 0x1c0104
	Powered: yes
	Discoverable: no
	Pairable: yes
	UUID: PnP Information           (00001200-0000-1000-8000-00805f9b34fb)
	UUID: Generic Access Profile    (00001800-0000-1000-8000-00805f9b34fb)
	UUID: Generic Attribute Profile (00001801-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control        (0000110e-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
	UUID: Audio Source              (0000110a-0000-1000-8000-00805f9b34fb)
	UUID: Audio Sink                (0000110b-0000-1000-8000-00805f9b34fb)
	UUID: Message Notification Se.. (00001133-0000-1000-8000-00805f9b34fb)
	UUID: Message Access Server     (00001132-0000-1000-8000-00805f9b34fb)
	UUID: Phonebook Access Server   (0000112f-0000-1000-8000-00805f9b34fb)
	UUID: IrMC Sync                 (00001104-0000-1000-8000-00805f9b34fb)
	UUID: OBEX File Transfer        (00001106-0000-1000-8000-00805f9b34fb)
	UUID: OBEX Object Push          (00001105-0000-1000-8000-00805f9b34fb)
	Modalias: usb:v1D6Bp0246d0512
	Discovering: no



Actual results:  Failed to connect: org.bluez.Error.NotAvailable


Expected results:  Bluetooth headset connected, entry registered in sounds (mic, audio)


Additional info:
Fedora 20 x86_64
]$ rpm -qa | grep blue
bluez-libs-5.18-1.fc20.x86_64
bluez-5.18-1.fc20.x86_64
gnome-bluetooth-3.10.0-1.fc20.x86_64
pulseaudio-module-bluetooth-5.0-7.fc20.x86_64
gnome-bluetooth-libs-3.10.0-1.fc20.x86_64

Comment 1 The PowerTool 2014-08-22 12:30:50 UTC
I was told it would be helpful to provide
fpaste --sysinfo

http://paste.fedoraproject.org/127687/70982314/

Comment 2 maverick.pt 2014-10-27 00:29:38 UTC
Hi,

I have the same problem with my JABRA BT2046 since i updated from Fedora 19 to 20 i can't connect:

bluetoothctl
[NEW] Controller 00:1B:FC:11:94:A5 ghost.azar.pt-0 [default]
[NEW] Device 00:23:7F:E7:65:CA PLT_M50
[NEW] Device 00:16:B8:9A:78:93 Russo-K610i
[NEW] Device B0:DF:3A:2A:00:94 MAV-S4_MINI_DUOS
[NEW] Device 50:C9:71:C1:F0:06 JABRA BT2046
[NEW] Device 00:07:61:9A:CF:A4 Bluetooth Laser Travel Mouse
[bluetooth]# info 50:C9:71:C1:F0:06
Device 50:C9:71:C1:F0:06
        Name: JABRA BT2046
        Alias: JABRA BT2046
        Class: 0x200404
        Icon: audio-card
        Paired: yes
        Trusted: yes
        Blocked: no
        Connected: no
        LegacyPairing: no
        UUID: Headset                   (00001108-0000-1000-8000-00805f9b34fb)
        UUID: Handsfree                 (0000111e-0000-1000-8000-00805f9b34fb)
[bluetooth]# connect 50:C9:71:C1:F0:06
Attempting to connect to 50:C9:71:C1:F0:06
[CHG] Device 50:C9:71:C1:F0:06 Connected: yes
Failed to connect: org.bluez.Error.NotAvailable
[CHG] Device 50:C9:71:C1:F0:06 Connected: no
[bluetooth]#

-------------

bluetoothd[6430]: src/adapter.c:connected_callback() hci0 device 50:C9:71:C1:F0:06 connected eir_len 5
bluetoothd[6430]: src/adapter.c:dev_disconnected() Device 50:C9:71:C1:F0:06 disconnected, reason 3
bluetoothd[6430]: src/adapter.c:adapter_remove_connection()
bluetoothd[6430]: src/adapter.c:bonding_attempt_complete() hci0 bdaddr 50:C9:71:C1:F0:06 type 0 status 0xe
bluetoothd[6430]: src/device.c:device_bonding_complete() bonding (nil) status 0x0e
bluetoothd[6430]: src/device.c:device_bonding_failed() status 14
bluetoothd[6430]: src/adapter.c:resume_discovery()
bluetoothd[6430]: src/device.c:connect_profiles() /org/bluez/hci0/dev_50_C9_71_C1_F0_06 (all), client :1.632
bluetoothd[6430]: src/device.c:connect_profiles() Resolving services for /org/bluez/hci0/dev_50_C9_71_C1_F0_06
bluetoothd[6430]: src/adapter.c:connected_callback() hci0 device 50:C9:71:C1:F0:06 connected eir_len 14
bluetoothd[6430]: src/device.c:search_cb() 50:C9:71:C1:F0:06: No service update
bluetoothd[6430]: src/device.c:device_svc_resolved() /org/bluez/hci0/dev_50_C9_71_C1_F0_06 err 0
bluetoothd[6430]: src/device.c:connect_profiles() /org/bluez/hci0/dev_50_C9_71_C1_F0_06 (all), client :1.632
bluetoothd[6430]: src/adapter.c:dev_disconnected() Device 50:C9:71:C1:F0:06 disconnected, reason 2
bluetoothd[6430]: src/adapter.c:adapter_remove_connection()
bluetoothd[6430]: src/adapter.c:bonding_attempt_complete() hci0 bdaddr 50:C9:71:C1:F0:06 type 0 status 0xe
bluetoothd[6430]: src/device.c:device_bonding_complete() bonding (nil) status 0x0e
bluetoothd[6430]: src/device.c:device_bonding_failed() status 14
bluetoothd[6430]: src/adapter.c:resume_discovery()

Comment 3 Sean Sheedy 2014-12-30 18:10:34 UTC
I'm seeing the same problem with a Plantronics headset that worked under older versions of Fedora.  bluetoothctl info:

# bluetoothctl
[NEW] Controller 40:F0:2F:F1:C6:88 laptop [default]
[NEW] Device 00:23:7F:34:20:6D 2XXPlantronics

[bluetooth]# show
Controller 40:F0:2F:F1:C6:88
	Name: laptop
	Alias: laptop
	Class: 0x1c010c
	Powered: yes
	Discoverable: no
	Pairable: yes
	UUID: PnP Information           (00001200-0000-1000-8000-00805f9b34fb)
	UUID: Generic Access Profile    (00001800-0000-1000-8000-00805f9b34fb)
	UUID: Generic Attribute Profile (00001801-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control        (0000110e-0000-1000-8000-00805f9b34fb)
	UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
	UUID: Message Notification Se.. (00001133-0000-1000-8000-00805f9b34fb)
	UUID: Message Access Server     (00001132-0000-1000-8000-00805f9b34fb)
	UUID: Phonebook Access Server   (0000112f-0000-1000-8000-00805f9b34fb)
	UUID: IrMC Sync                 (00001104-0000-1000-8000-00805f9b34fb)
	UUID: OBEX File Transfer        (00001106-0000-1000-8000-00805f9b34fb)
	UUID: OBEX Object Push          (00001105-0000-1000-8000-00805f9b34fb)
	UUID: Audio Source              (0000110a-0000-1000-8000-00805f9b34fb)
	UUID: Audio Sink                (0000110b-0000-1000-8000-00805f9b34fb)
	Modalias: usb:v1D6Bp0246d0512
	Discovering: no

[bluetooth]# info 00:23:7F:34:20:6D
Device 00:23:7F:34:20:6D
	Name: 2XXPlantronics
	Alias: 2XXPlantronics
	Class: 0x200404
	Icon: audio-card
	Paired: yes
	Trusted: yes
	Blocked: no
	Connected: no
	LegacyPairing: no
	UUID: Headset                   (00001108-0000-1000-8000-00805f9b34fb)
	UUID: Handsfree                 (0000111e-0000-1000-8000-00805f9b34fb)

Comment 4 maverick.pt 2015-02-17 17:17:36 UTC
Fixed on F21.

Comment 5 Fedora End Of Life 2015-05-29 12:32:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 21:54:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.